org.fife.ui.rsyntaxtextarea.parser

## Interface ParserNotice

All Superinterfaces:
  Comparable<ParserNotice>

All Known Implementing Classes:
  DefaultParserNotice, TaskTagParser.TaskNotice

    public interface ParserNotice
    extends Comparable<ParserNotice>

A notice (e.g., a warning or error) from a parser.

Version:
  1.0
Author:
  Robert Futrell
See Also:
  `DefaultParserNotice`

### Field Summary

Fields
`static int` `ERROR` Indicates an error notice.
`static int` `INFO` Indicates an info notice.
`static int` `WARNING` Indicates a warning notice.

### Method Summary

Methods
`boolean` `containsPosition(int pos)` Returns whether this parser notice contains the specified location in the document.
`Color` `getColor()` Returns the color to use when painting this notice.
`int` `getLength()` Returns the length of the code the message is concerned with.
`int` `getLevel()` Returns the level of this notice.
`int` `getLine()` Returns the line number the notice is about.
`String` `getMessage()` Returns the message from the parser.
`int` `getOffset()` Returns the offset of the code the message is concerned with.
`Parser` `getParser()` Returns the parser that created this message.
`boolean` `getShowInEditor()` Whether a squiggle underline should be drawn in the editor for this notice.
`String` `getToolTipText()` Returns the tooltip text to display for this notice.

### Methods inherited from interface java.lang.Comparable

`compareTo`

### Field Detail

#### INFO

    static final int INFO

Indicates an info notice.

See Also:
  Constant Field Values

#### WARNING

    static final int WARNING

Indicates a warning notice.

See Also:
  Constant Field Values

#### ERROR

    static final int ERROR

Indicates an error notice.

See Also:
  Constant Field Values

### Method Detail

#### containsPosition

    boolean containsPosition(int pos)

Returns whether this parser notice contains the specified location in the document.

Parameters:
  `pos` - The position in the document.
Returns:
  Whether the position is contained. This will always return `false` if `getOffset()` returns `-1`.

#### getColor

    Color getColor()

Returns the color to use when painting this notice.

Returns:
  The color.

#### getLength

    int getLength()

Returns the length of the code the message is concerned with.

Returns:
  The length of the code the message is concerned with, or `-1` if unknown.
See Also:
  `getOffset()`, `getLine()`

#### getLevel

    int getLevel()

Returns the level of this notice.

Returns:
  One of `INFO`, `WARNING` OR `ERROR`.

#### getLine

    int getLine()

Returns the line number the notice is about.

Returns:
  The line number.

#### getMessage

    String getMessage()

Returns the message from the parser.

Returns:
  The message from the parser.

#### getOffset

    int getOffset()

Returns the offset of the code the message is concerned with.

Returns:
  The offset, or `-1` if unknown.
See Also:
  `getLength()`, `getLine()`

#### getParser

    Parser getParser()

Returns the parser that created this message.

Returns:
  The parser.

#### getShowInEditor

    boolean getShowInEditor()

Whether a squiggle underline should be drawn in the editor for this notice.

Returns:
  Whether a squiggle underline should be drawn.

#### getToolTipText

    String getToolTipText()

Returns the tooltip text to display for this notice.

Returns:
  The tool tip text. If none has been explicitly set, this method returns the same text as `getMessage()`.